#include <stdio.h>

int main() 
{
    printf("%d %d\n", 500, 500);
    for (int i = 0; i < 499; i++)
    {
        printf("aaaaaaaaaaaaaaaaaaab\n");
    }
    for (int i = 0; i < 501; i++)
    {
        printf("aaaaaaaaaaaaaaaaaaaa\n");
    }
    return 0;
}